Name: pipepanic
Version: 0.1.3
Release: %mkrel 1
Summary: A pipe connecting game       
Group: Games/Arcade
License: GPLv2+
URL: http://www.users.waitrose.com/~thunor/pipepanic/
Source0: http://www.users.waitrose.com/~thunor/pipepanic/dload/%{name}-%{version}-source.tar.xz
Patch0: pipepanic-0.1.3-fedora-Makefile.patch
Patch1: pipepanic-0.1.3-fedora-window-title.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
BuildRequires: SDL-devel
BuildRequires: imagemagick

%description
Pipepanic is a pipe connecting game using libSDL. Connect as many 
different shaped pipes together as possible within the time given.


%prep
%setup -q -n %{name}-%{version}-source
%patch0 -p0
%patch1 -p1

# Fix file encoding
iconv --from=ISO-8859-1 --to=UTF-8 COPYING-ARTWORK > COPYING-ARTWORK.conv 
mv COPYING-ARTWORK.conv COPYING-ARTWORK

# Fix DATADIR
sed -i 's:/opt/QtPalmtop/share/pipepanic/:%{_gamesdatadir}/%{name}/:' main.h


%build
%make

%install
rm -rf %{buildroot}

# Install binary
mkdir -p %{buildroot}%{_gamesbindir}
install -m 755 pipepanic %{buildroot}%{_gamesbindir}

# Install data files
mkdir -p %{buildroot}%{_gamesdatadir}/%{name}
install -m 644 *.bmp %{buildroot}%{_gamesdatadir}/%{name}/

# Install window icon (needed by patch1)
convert PipepanicIcon32.png bmp3:- | \
  convert - -fill '#FF00FF' -opaque black -colors 256 \
    -compress none bmp3:icon.bmp
install -m 644 icon.bmp %{buildroot}%{_gamesdatadir}/%{name}/

# Install icons
install -D -m644 PipepanicIcon16.png %{buildroot}%{_miconsdir}/%{name}.png
install -D -m644 PipepanicIcon32.png %{buildroot}%{_iconsdir}/%{name}.png
install -D -m644 PipepanicIcon64.png %{buildroot}%{_liconsdir}/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Pipe Panic
Comment=%summary
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;LogicGame;X-MandrivaLinux-MoreApplications-Games-Puzzles;
EOF


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING COPYING-ARTWORK README
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop


%clean
rm -rf %{buildroot}


%changelog
* Sat Nov 26 2011 Texstar <texstar at gmail.com> 0.1.3-1pclos2011
- 0.1.3
